Zum Inhalt springen

CheckScript

POST
/api/v1/t/{tenant}/workflows/scripts/check
curl --request POST \
--url https://example.com/api/v1/t/example/workflows/scripts/check \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "source": "example", "sdkVersion": "example", "hook": "OnDocumentArrived", "definitionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "stepName": "example" }'
tenant
required
string

Tenant slug

Media typeapplication/json
object
source
required
string
sdkVersion
required
string
hook
required
One of:
null
definitionId
null | string format: uuid
stepName
null | string

OK

Media typeapplication/json
object
diagnostics
required
Array<object>
object
code
required
string
severity
required
Allowed values: Error Warning
message
required
string
line
required
integer format: int32
column
required
integer format: int32
endLine
required
integer format: int32
endColumn
required
integer format: int32
Example
{
"diagnostics": [
{
"severity": "Error"
}
]
}

Bad Request

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
errors
object
key
additional properties
Array<string>
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example",
"errors": {
"additionalProperty": [
"example"
]
}
}

Forbidden

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Payload Too Large

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Unsupported Media Type

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Too Many Requests

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Service Unavailable

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}